/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __XDP_LOAD_BYTES_SKEL_H__
#define __XDP_LOAD_BYTES_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct xdp_load_bytes {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_program *xdp_probe_prog;
	} progs;
	struct {
		struct bpf_link *xdp_probe_prog;
	} links;

#ifdef __cplusplus
	static inline struct xdp_load_bytes *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct xdp_load_bytes *open_and_load();
	static inline int load(struct xdp_load_bytes *skel);
	static inline int attach(struct xdp_load_bytes *skel);
	static inline void detach(struct xdp_load_bytes *skel);
	static inline void destroy(struct xdp_load_bytes *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
xdp_load_bytes__destroy(struct xdp_load_bytes *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
xdp_load_bytes__create_skeleton(struct xdp_load_bytes *obj);

static inline struct xdp_load_bytes *
xdp_load_bytes__open_opts(const struct bpf_object_open_opts *opts)
{
	struct xdp_load_bytes *obj;
	int err;

	obj = (struct xdp_load_bytes *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = xdp_load_bytes__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	xdp_load_bytes__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct xdp_load_bytes *
xdp_load_bytes__open(void)
{
	return xdp_load_bytes__open_opts(NULL);
}

static inline int
xdp_load_bytes__load(struct xdp_load_bytes *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct xdp_load_bytes *
xdp_load_bytes__open_and_load(void)
{
	struct xdp_load_bytes *obj;
	int err;

	obj = xdp_load_bytes__open();
	if (!obj)
		return NULL;
	err = xdp_load_bytes__load(obj);
	if (err) {
		xdp_load_bytes__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
xdp_load_bytes__attach(struct xdp_load_bytes *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
xdp_load_bytes__detach(struct xdp_load_bytes *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *xdp_load_bytes__elf_bytes(size_t *sz);

static inline int
xdp_load_bytes__create_skeleton(struct xdp_load_bytes *obj)
{
	struct bpf_object_skeleton *s;
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "xdp_load_bytes";
	s->obj = &obj->obj;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "xdp_probe_prog";
	s->progs[0].prog = &obj->progs.xdp_probe_prog;
	s->progs[0].link = &obj->links.xdp_probe_prog;

	s->data = xdp_load_bytes__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *xdp_load_bytes__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xd0\x0d\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x14\0\
\x01\0\xbf\xa3\0\0\0\0\0\0\x07\x03\0\0\xf6\xff\xff\xff\xb7\x02\0\0\0\0\0\0\xb7\
\x04\0\0\x0a\0\0\0\x85\0\0\0\xbd\0\0\0\xbf\x01\0\0\0\0\0\0\x67\x01\0\0\x20\0\0\
\0\x77\x01\0\0\x20\0\0\0\xb7\0\0\0\x01\0\0\0\x15\x01\x01\0\0\0\0\0\xb7\0\0\0\0\
\0\0\0\x67\0\0\0\x01\0\0\0\x95\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\0\0\0\0\x28\
\0\0\0\0\0\0\0\x01\0\x51\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\x38\
\0\0\0\0\0\0\0\x03\0\x71\0\x9f\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\x11\x01\x25\
\x0e\x13\x05\x03\x0e\x10\x17\x1b\x0e\x11\x01\x12\x06\0\0\x02\x34\0\x03\x0e\x49\
\x13\x3f\x19\x3a\x0b\x3b\x0b\x02\x18\0\0\x03\x01\x01\x49\x13\0\0\x04\x21\0\x49\
\x13\x37\x0b\0\0\x05\x24\0\x03\x0e\x3e\x0b\x0b\x0b\0\0\x06\x24\0\x03\x0e\x0b\
\x0b\x3e\x0b\0\0\x07\x34\0\x03\x0e\x49\x13\x3a\x0b\x3b\x05\0\0\x08\x0f\0\x49\
\x13\0\0\x09\x15\x01\x49\x13\x27\x19\0\0\x0a\x05\0\x49\x13\0\0\x0b\x13\x01\x03\
\x0e\x0b\x0b\x3a\x0b\x3b\x05\0\0\x0c\x0d\0\x03\x0e\x49\x13\x3a\x0b\x3b\x05\x38\
\x0b\0\0\x0d\x16\0\x49\x13\x03\x0e\x3a\x0b\x3b\x0b\0\0\x0e\x0f\0\0\0\x0f\x04\
\x01\x49\x13\x03\x0e\x0b\x0b\x3a\x0b\x3b\x05\0\0\x10\x28\0\x03\x0e\x1c\x0f\0\0\
\x11\x2e\x01\x11\x01\x12\x06\x40\x18\x97\x42\x19\x03\x0e\x3a\x0b\x3b\x0b\x27\
\x19\x49\x13\x3f\x19\0\0\x12\x05\0\x02\x17\x03\x0e\x3a\x0b\x3b\x0b\x49\x13\0\0\
\x13\x34\0\x02\x18\x03\x0e\x3a\x0b\x3b\x0b\x49\x13\0\0\x14\x34\0\x02\x17\x03\
\x0e\x3a\x0b\x3b\x0b\x49\x13\0\0\0\x8f\x01\0\0\x04\0\0\0\0\0\x08\x01\0\0\0\0\
\x0c\0\x2c\0\0\0\0\0\0\0\x41\0\0\0\0\0\0\0\0\0\0\0\x68\0\0\0\x02\x74\0\0\0\x3f\
\0\0\0\x01\x17\x09\x03\0\0\0\0\0\0\0\0\x03\x4b\0\0\0\x04\x52\0\0\0\x04\0\x05\
\x7d\0\0\0\x06\x01\x06\x82\0\0\0\x08\x07\x07\x96\0\0\0\x65\0\0\0\x04\xf7\x10\
\x08\x6a\0\0\0\x09\x84\0\0\0\x0a\x8b\0\0\0\x0a\xe8\0\0\0\x0a\xfa\0\0\0\x0a\xe8\
\0\0\0\0\x05\xa9\0\0\0\x05\x08\x08\x90\0\0\0\x0b\x07\x01\0\0\x18\x03\x38\x17\
\x0c\xae\0\0\0\xe8\0\0\0\x03\x39\x17\0\x0c\xc6\0\0\0\xe8\0\0\0\x03\x3a\x17\x04\
\x0c\xcf\0\0\0\xe8\0\0\0\x03\x3b\x17\x08\x0c\xd9\0\0\0\xe8\0\0\0\x03\x3d\x17\
\x0c\x0c\xe9\0\0\0\xe8\0\0\0\x03\x3e\x17\x10\x0c\xf8\0\0\0\xe8\0\0\0\x03\x40\
\x17\x14\0\x0d\xf3\0\0\0\xc0\0\0\0\x02\x1b\x05\xb3\0\0\0\x07\x04\x0e\x0f\xf3\0\
\0\0\x40\x01\0\0\x04\x03\x2d\x17\x10\x0e\x01\0\0\0\x10\x1a\x01\0\0\x01\x10\x23\
\x01\0\0\x02\x10\x2c\x01\0\0\x03\x10\x33\x01\0\0\x04\0\x11\0\0\0\0\0\0\0\0\x68\
\0\0\0\x01\x5a\x4b\x01\0\0\x01\x0b\x6d\x01\0\0\x12\0\0\0\0\x75\x01\0\0\x01\x0b\
\x8b\0\0\0\x13\x02\x91\x06\x5e\x01\0\0\x01\x0d\x74\x01\0\0\x14\x23\0\0\0\x79\
\x01\0\0\x01\x0e\x6d\x01\0\0\0\x05\x5a\x01\0\0\x05\x04\x03\x80\x01\0\0\x04\x52\
\0\0\0\x0a\0\x0d\x8b\x01\0\0\x70\x01\0\0\x02\x15\x05\x62\x01\0\0\x08\x01\0\x63\
\x6c\x61\x6e\x67\x20\x76\x65\x72\x73\x69\x6f\x6e\x20\x31\x35\x2e\x30\x2e\x36\
\x20\x28\x4d\x61\x67\x65\x69\x61\x20\x31\x35\x2e\x30\x2e\x36\x2d\x35\x2e\x6d\
\x67\x61\x39\x29\0\x78\x64\x70\x5f\x6c\x6f\x61\x64\x5f\x62\x79\x74\x65\x73\x2e\
\x62\x70\x66\x2e\x63\0\x2f\x68\x6f\x6d\x65\x2f\x69\x75\x72\x74\x2f\x72\x70\x6d\
\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x78\x64\x70\x2d\x74\x6f\x6f\
\x6c\x73\x2d\x31\x2e\x35\x2e\x35\x2f\x6c\x69\x62\x2f\x75\x74\x69\x6c\0\x5f\x6c\
\x69\x63\x65\x6e\x73\x65\0\x63\x68\x61\x72\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\
\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x62\x70\x66\x5f\x78\x64\x70\x5f\
\x6c\x6f\x61\x64\x5f\x62\x79\x74\x65\x73\0\x6c\x6f\x6e\x67\0\x64\x61\x74\x61\0\
\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x5f\x5f\x75\x33\x32\0\x64\
\x61\x74\x61\x5f\x65\x6e\x64\0\x64\x61\x74\x61\x5f\x6d\x65\x74\x61\0\x69\x6e\
\x67\x72\x65\x73\x73\x5f\x69\x66\x69\x6e\x64\x65\x78\0\x72\x78\x5f\x71\x75\x65\
\x75\x65\x5f\x69\x6e\x64\x65\x78\0\x65\x67\x72\x65\x73\x73\x5f\x69\x66\x69\x6e\
\x64\x65\x78\0\x78\x64\x70\x5f\x6d\x64\0\x58\x44\x50\x5f\x41\x42\x4f\x52\x54\
\x45\x44\0\x58\x44\x50\x5f\x44\x52\x4f\x50\0\x58\x44\x50\x5f\x50\x41\x53\x53\0\
\x58\x44\x50\x5f\x54\x58\0\x58\x44\x50\x5f\x52\x45\x44\x49\x52\x45\x43\x54\0\
\x78\x64\x70\x5f\x61\x63\x74\x69\x6f\x6e\0\x78\x64\x70\x5f\x70\x72\x6f\x62\x65\
\x5f\x70\x72\x6f\x67\0\x69\x6e\x74\0\x62\x75\x66\0\x75\x6e\x73\x69\x67\x6e\x65\
\x64\x20\x63\x68\x61\x72\0\x5f\x5f\x75\x38\0\x63\x74\x78\0\x65\x72\x72\0\x9f\
\xeb\x01\0\x18\0\0\0\0\0\0\0\x0c\x01\0\0\x0c\x01\0\0\x56\x01\0\0\0\0\0\0\0\0\0\
\x02\x02\0\0\0\x01\0\0\0\x06\0\0\x04\x18\0\0\0\x08\0\0\0\x03\0\0\0\0\0\0\0\x0d\
\0\0\0\x03\0\0\0\x20\0\0\0\x16\0\0\0\x03\0\0\0\x40\0\0\0\x20\0\0\0\x03\0\0\0\
\x60\0\0\0\x30\0\0\0\x03\0\0\0\x80\0\0\0\x3f\0\0\0\x03\0\0\0\xa0\0\0\0\x4e\0\0\
\0\0\0\0\x08\x04\0\0\0\x54\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\x01\0\0\
\x0d\x06\0\0\0\x61\0\0\0\x01\0\0\0\x65\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\x01\
\x69\0\0\0\x01\0\0\x0c\x05\0\0\0\x2c\x01\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\0\
\0\0\0\0\0\0\x03\0\0\0\0\x08\0\0\0\x0a\0\0\0\x04\0\0\0\x31\x01\0\0\0\0\0\x01\
\x04\0\0\0\x20\0\0\0\x45\x01\0\0\0\0\0\x0e\x09\0\0\0\x01\0\0\0\x4e\x01\0\0\x01\
\0\0\x0f\0\0\0\0\x0b\0\0\0\0\0\0\0\x04\0\0\0\0\x78\x64\x70\x5f\x6d\x64\0\x64\
\x61\x74\x61\0\x64\x61\x74\x61\x5f\x65\x6e\x64\0\x64\x61\x74\x61\x5f\x6d\x65\
\x74\x61\0\x69\x6e\x67\x72\x65\x73\x73\x5f\x69\x66\x69\x6e\x64\x65\x78\0\x72\
\x78\x5f\x71\x75\x65\x75\x65\x5f\x69\x6e\x64\x65\x78\0\x65\x67\x72\x65\x73\x73\
\x5f\x69\x66\x69\x6e\x64\x65\x78\0\x5f\x5f\x75\x33\x32\0\x75\x6e\x73\x69\x67\
\x6e\x65\x64\x20\x69\x6e\x74\0\x63\x74\x78\0\x69\x6e\x74\0\x78\x64\x70\x5f\x70\
\x72\x6f\x62\x65\x5f\x70\x72\x6f\x67\0\x78\x64\x70\0\x2f\x68\x6f\x6d\x65\x2f\
\x69\x75\x72\x74\x2f\x72\x70\x6d\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\
\x2f\x78\x64\x70\x2d\x74\x6f\x6f\x6c\x73\x2d\x31\x2e\x35\x2e\x35\x2f\x6c\x69\
\x62\x2f\x75\x74\x69\x6c\x2f\x78\x64\x70\x5f\x6c\x6f\x61\x64\x5f\x62\x79\x74\
\x65\x73\x2e\x62\x70\x66\x2e\x63\0\x69\x6e\x74\x20\x78\x64\x70\x5f\x70\x72\x6f\
\x62\x65\x5f\x70\x72\x6f\x67\x28\x73\x74\x72\x75\x63\x74\x20\x78\x64\x70\x5f\
\x6d\x64\x20\x2a\x63\x74\x78\x29\0\x09\x65\x72\x72\x20\x3d\x20\x62\x70\x66\x5f\
\x78\x64\x70\x5f\x6c\x6f\x61\x64\x5f\x62\x79\x74\x65\x73\x28\x63\x74\x78\x2c\
\x20\x30\x2c\x20\x62\x75\x66\x2c\x20\x73\x69\x7a\x65\x6f\x66\x28\x62\x75\x66\
\x29\x29\x3b\0\x09\x69\x66\x20\x28\x65\x72\x72\x29\0\x7d\0\x63\x68\x61\x72\0\
\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\
\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x6c\x69\x63\x65\x6e\x73\x65\0\0\0\x9f\xeb\
\x01\0\x20\0\0\0\0\0\0\0\x14\0\0\0\x14\0\0\0\x5c\0\0\0\x70\0\0\0\0\0\0\0\x08\0\
\0\0\x78\0\0\0\x01\0\0\0\0\0\0\0\x07\0\0\0\x10\0\0\0\x78\0\0\0\x05\0\0\0\0\0\0\
\0\x7c\0\0\0\xc4\0\0\0\0\x2c\0\0\x08\0\0\0\x7c\0\0\0\0\0\0\0\0\0\0\0\x10\0\0\0\
\x7c\0\0\0\xeb\0\0\0\x08\x40\0\0\x30\0\0\0\x7c\0\0\0\x20\x01\0\0\x06\x44\0\0\
\x58\0\0\0\x7c\0\0\0\x2a\x01\0\0\x01\x54\0\0\0\0\0\0\x0c\0\0\0\xff\xff\xff\xff\
\x04\0\x08\0\x08\x7c\x0b\0\x14\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x68\0\0\0\0\0\0\0\
\xc7\0\0\0\x04\0\x96\0\0\0\x08\x01\x01\xfb\x0e\x0d\0\x01\x01\x01\x01\0\0\0\x01\
\0\0\x01\x2f\x75\x73\x72\x2f\x69\x6e\x63\x6c\x75\x64\x65\x2f\x61\x73\x6d\x2d\
\x67\x65\x6e\x65\x72\x69\x63\0\x2e\x2e\x2f\x2e\x2e\x2f\x68\x65\x61\x64\x65\x72\
\x73\x2f\x6c\x69\x6e\x75\x78\0\x2f\x75\x73\x72\x2f\x69\x6e\x63\x6c\x75\x64\x65\
\x2f\x62\x70\x66\0\0\x78\x64\x70\x5f\x6c\x6f\x61\x64\x5f\x62\x79\x74\x65\x73\
\x2e\x62\x70\x66\x2e\x63\0\0\0\0\x69\x6e\x74\x2d\x6c\x6c\x36\x34\x2e\x68\0\x01\
\0\0\x62\x70\x66\x2e\x68\0\x02\0\0\x62\x70\x66\x5f\x68\x65\x6c\x70\x65\x72\x5f\
\x64\x65\x66\x73\x2e\x68\0\x03\0\0\0\0\x09\x02\0\0\0\0\0\0\0\0\x03\x0b\x01\x06\
\x03\x74\x20\x05\x08\x06\x0a\x03\x10\x20\x05\x06\x4b\x06\x03\x6f\x4a\x05\x01\
\x06\x03\x15\x20\x02\x02\0\x01\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x93\0\0\0\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x03\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc1\0\0\0\0\0\x03\0\x58\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x03\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x09\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x0e\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x03\0\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x41\0\0\0\x12\0\x03\0\0\0\0\0\0\
\0\0\0\x68\0\0\0\0\0\0\0\x5e\0\0\0\x11\0\x04\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\
\0\x06\0\0\0\0\0\0\0\x03\0\0\0\x05\0\0\0\x0c\0\0\0\0\0\0\0\x03\0\0\0\x06\0\0\0\
\x12\0\0\0\0\0\0\0\x03\0\0\0\x06\0\0\0\x16\0\0\0\0\0\0\0\x03\0\0\0\x08\0\0\0\
\x1a\0\0\0\0\0\0\0\x03\0\0\0\x06\0\0\0\x1e\0\0\0\0\0\0\0\x02\0\0\0\x02\0\0\0\
\x2b\0\0\0\0\0\0\0\x03\0\0\0\x06\0\0\0\x37\0\0\0\0\0\0\0\x02\0\0\0\x0a\0\0\0\
\x4c\0\0\0\0\0\0\0\x03\0\0\0\x06\0\0\0\x53\0\0\0\0\0\0\0\x03\0\0\0\x06\0\0\0\
\x5a\0\0\0\0\0\0\0\x03\0\0\0\x06\0\0\0\x85\0\0\0\0\0\0\0\x03\0\0\0\x06\0\0\0\
\x91\0\0\0\0\0\0\0\x03\0\0\0\x06\0\0\0\x9a\0\0\0\0\0\0\0\x03\0\0\0\x06\0\0\0\
\xa7\0\0\0\0\0\0\0\x03\0\0\0\x06\0\0\0\xb4\0\0\0\0\0\0\0\x03\0\0\0\x06\0\0\0\
\xc1\0\0\0\0\0\0\0\x03\0\0\0\x06\0\0\0\xce\0\0\0\0\0\0\0\x03\0\0\0\x06\0\0\0\
\xdb\0\0\0\0\0\0\0\x03\0\0\0\x06\0\0\0\xed\0\0\0\0\0\0\0\x03\0\0\0\x06\0\0\0\
\xf4\0\0\0\0\0\0\0\x03\0\0\0\x06\0\0\0\0\x01\0\0\0\0\0\0\x03\0\0\0\x06\0\0\0\
\x09\x01\0\0\0\0\0\0\x03\0\0\0\x06\0\0\0\x0f\x01\0\0\0\0\0\0\x03\0\0\0\x06\0\0\
\0\x15\x01\0\0\0\0\0\0\x03\0\0\0\x06\0\0\0\x1b\x01\0\0\0\0\0\0\x03\0\0\0\x06\0\
\0\0\x21\x01\0\0\0\0\0\0\x03\0\0\0\x06\0\0\0\x28\x01\0\0\0\0\0\0\x02\0\0\0\x02\
\0\0\0\x36\x01\0\0\0\0\0\0\x03\0\0\0\x06\0\0\0\x41\x01\0\0\0\0\0\0\x03\0\0\0\
\x04\0\0\0\x45\x01\0\0\0\0\0\0\x03\0\0\0\x06\0\0\0\x53\x01\0\0\0\0\0\0\x03\0\0\
\0\x06\0\0\0\x5e\x01\0\0\0\0\0\0\x03\0\0\0\x04\0\0\0\x62\x01\0\0\0\0\0\0\x03\0\
\0\0\x06\0\0\0\x6e\x01\0\0\0\0\0\0\x03\0\0\0\x06\0\0\0\x85\x01\0\0\0\0\0\0\x03\
\0\0\0\x06\0\0\0\x8c\x01\0\0\0\0\0\0\x03\0\0\0\x06\0\0\0\x1c\x01\0\0\0\0\0\0\
\x04\0\0\0\x0a\0\0\0\x2c\0\0\0\0\0\0\0\x04\0\0\0\x02\0\0\0\x40\0\0\0\0\0\0\0\
\x04\0\0\0\x02\0\0\0\x50\0\0\0\0\0\0\0\x04\0\0\0\x02\0\0\0\x60\0\0\0\0\0\0\0\
\x04\0\0\0\x02\0\0\0\x70\0\0\0\0\0\0\0\x04\0\0\0\x02\0\0\0\x80\0\0\0\0\0\0\0\
\x04\0\0\0\x02\0\0\0\x14\0\0\0\0\0\0\0\x03\0\0\0\x07\0\0\0\x18\0\0\0\0\0\0\0\
\x02\0\0\0\x02\0\0\0\xa3\0\0\0\0\0\0\0\x02\0\0\0\x02\0\0\0\x09\x0a\0\x2e\x64\
\x65\x62\x75\x67\x5f\x61\x62\x62\x72\x65\x76\0\x2e\x74\x65\x78\x74\0\x2e\x72\
\x65\x6c\x2e\x42\x54\x46\x2e\x65\x78\x74\0\x2e\x64\x65\x62\x75\x67\x5f\x73\x74\
\x72\0\x78\x64\x70\0\x2e\x72\x65\x6c\x2e\x64\x65\x62\x75\x67\x5f\x69\x6e\x66\
\x6f\0\x78\x64\x70\x5f\x70\x72\x6f\x62\x65\x5f\x70\x72\x6f\x67\0\x2e\x6c\x6c\
\x76\x6d\x5f\x61\x64\x64\x72\x73\x69\x67\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\
\x2e\x72\x65\x6c\x2e\x64\x65\x62\x75\x67\x5f\x6c\x69\x6e\x65\0\x2e\x72\x65\x6c\
\x2e\x64\x65\x62\x75\x67\x5f\x66\x72\x61\x6d\x65\0\x2e\x64\x65\x62\x75\x67\x5f\
\x6c\x6f\x63\0\x78\x64\x70\x5f\x6c\x6f\x61\x64\x5f\x62\x79\x74\x65\x73\x2e\x62\
\x70\x66\x2e\x63\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\
\x2e\x72\x65\x6c\x2e\x42\x54\x46\0\x4c\x42\x42\x30\x5f\x32\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa8\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x02\x0d\0\0\0\0\0\0\xc8\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0f\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x2d\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\
\0\0\x68\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x5f\0\
\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa8\0\0\0\0\0\0\0\x04\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x88\0\0\0\x01\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xac\0\0\0\0\0\0\0\x48\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\xf4\0\0\0\0\0\0\0\xfc\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x35\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf0\
\x01\0\0\0\0\0\0\x93\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x31\0\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x10\x0a\0\0\0\0\
\0\0\x50\x02\0\0\0\0\0\0\x13\0\0\0\x07\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\
\0\x22\0\0\0\x01\0\0\0\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x83\x03\0\0\0\0\0\0\
\x7d\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\xbc\0\
\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x05\0\0\0\0\0\0\x7a\x02\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb8\0\0\0\x09\0\0\0\
\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x60\x0c\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x13\0\
\0\0\x0a\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x19\0\0\0\x01\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x7c\x07\0\0\0\0\0\0\x90\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x15\0\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x70\x0c\0\0\0\0\0\0\x60\0\0\0\0\0\0\0\x13\0\0\0\x0c\0\0\0\x08\0\0\0\
\0\0\0\0\x10\0\0\0\0\0\0\0\x7b\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x10\x08\0\0\0\0\0\0\x28\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x77\0\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd0\x0c\0\0\0\
\0\0\0\x20\0\0\0\0\0\0\0\x13\0\0\0\x0e\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\
\0\x6b\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x38\x08\0\0\0\0\0\0\xcb\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x67\0\0\0\x09\
\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf0\x0c\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\
\x13\0\0\0\x10\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x50\0\0\0\x03\x4c\xff\
\x6f\0\0\0\x80\0\0\0\0\0\0\0\0\0\0\0\0\0\x0d\0\0\0\0\0\0\x02\0\0\0\0\0\0\0\x13\
\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb0\0\0\0\x02\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x08\x09\0\0\0\0\0\0\x08\x01\0\0\0\0\0\0\x01\0\0\0\x09\0\
\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct xdp_load_bytes *xdp_load_bytes::open(const struct bpf_object_open_opts *opts) { return xdp_load_bytes__open_opts(opts); }
struct xdp_load_bytes *xdp_load_bytes::open_and_load() { return xdp_load_bytes__open_and_load(); }
int xdp_load_bytes::load(struct xdp_load_bytes *skel) { return xdp_load_bytes__load(skel); }
int xdp_load_bytes::attach(struct xdp_load_bytes *skel) { return xdp_load_bytes__attach(skel); }
void xdp_load_bytes::detach(struct xdp_load_bytes *skel) { xdp_load_bytes__detach(skel); }
void xdp_load_bytes::destroy(struct xdp_load_bytes *skel) { xdp_load_bytes__destroy(skel); }
const void *xdp_load_bytes::elf_bytes(size_t *sz) { return xdp_load_bytes__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
xdp_load_bytes__assert(struct xdp_load_bytes *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __XDP_LOAD_BYTES_SKEL_H__ */
